> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skills.video/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generation result

Fetch the async generation result by generation task id.


## OpenAPI

````yaml /openapi.json get /generation/{id}
openapi: 3.1.0
info:
  title: skills.video OpenAPI
  version: 1.0.0
  description: OpenAPI schema for skills.video API endpoints.
servers:
  - url: https://open.skills.video/api/v1
security: []
paths:
  /generation/{id}:
    get:
      summary: Get generation result
      parameters:
        - in: path
          name: id
          schema:
            description: Generation task ID
            type: string
          required: true
          description: Generation task ID
      responses:
        '200':
          description: >-
            Generation result. When `status` is `FAILED`, `data` is null and the
            response includes sanitized `code` and `message` fields.
          content:
            application/json:
              example:
                id: gen_123
                status: COMPLETED
                input:
                  prompt: a cat
                  aspect_ratio: '1:1'
                  resolution: 1024x1024
                  'n': 1
                data:
                  type: image
                  'n': 1
                  actual_prompt: a cat
                  images:
                    - url: https://cdn.example.com/output/cat.png
                      file_name: cat.png
                      content_type: image/png
                      width: 1024
                      height: 1024
                  image:
                    url: https://cdn.example.com/output/cat.png
                    file_name: cat.png
                    content_type: image/png
                    width: 1024
                    height: 1024
                usage:
                  total: 20
                  subscription: 20
                  permanent: 0
              schema:
                $ref: '#/components/schemas/Generation'
        '400':
          description: Invalid request
          content:
            application/json:
              example:
                error: INVALID_INPUT
                code: INVALID_INPUT
                message: Missing request body
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required or failed
          content:
            application/json:
              example:
                error: UNAUTHORIZED
                code: UNAUTHORIZED
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Access to the requested resource is forbidden
          content:
            application/json:
              example:
                error: FORBIDDEN
                code: FORBIDDEN
                message: Forbidden.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Generation was not found.
          content:
            application/json:
              example:
                error: PREDICTION_NOT_FOUND
                code: PREDICTION_NOT_FOUND
                message: Prediction not found.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              example:
                error: INVALID_INPUT
                code: INVALID_INPUT
                message: '''prompt'' parameter is required'
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    Generation:
      type: object
      properties:
        id:
          description: Generation id.
          type: string
        status:
          $ref: '#/components/schemas/QueueState'
        input:
          $ref: '#/components/schemas/AnyModelInput'
          description: Normalized input payload for the generation task.
        data:
          description: >-
            Model-specific output payload. This field is null until the
            generation completes. Inspect the endpoint-specific output schema
            and response examples for concrete fields.
          anyOf:
            - $ref: '#/components/schemas/AnyModelOutput'
            - type: 'null'
        usage:
          $ref: '#/components/schemas/Usage'
        code:
          $ref: '#/components/schemas/__schema1'
        message:
          $ref: '#/components/schemas/__schema2'
      required:
        - id
        - status
        - input
        - data
        - usage
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          description: >-
            Legacy machine-readable error field. Prefer `code` for new
            integrations. This may contain an unprefixed compatibility code for
            older clients.
          type: string
        code:
          description: Machine-readable error code. Use this to branch in client code.
          type: string
        message:
          description: Human readable error message.
          type: string
        errors:
          description: Field-level validation errors when available.
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
            additionalProperties: false
        details:
          description: Additional structured error details when available.
      required:
        - code
        - message
      additionalProperties: false
    QueueState:
      description: Queue status
      type: string
      enum:
        - IN_QUEUE
        - IN_PROGRESS
        - COMPLETED
        - FAILED
        - CANCELED
    AnyModelInput:
      anyOf:
        - $ref: '#/components/schemas/__schema0'
        - $ref: '#/components/schemas/__schema3'
        - $ref: '#/components/schemas/__schema4'
        - $ref: '#/components/schemas/__schema5'
        - $ref: '#/components/schemas/__schema6'
        - $ref: '#/components/schemas/__schema7'
        - $ref: '#/components/schemas/__schema8'
        - $ref: '#/components/schemas/__schema9'
        - $ref: '#/components/schemas/__schema10'
        - $ref: '#/components/schemas/__schema11'
        - $ref: '#/components/schemas/__schema12'
        - $ref: '#/components/schemas/__schema13'
        - $ref: '#/components/schemas/__schema14'
        - $ref: '#/components/schemas/__schema15'
        - $ref: '#/components/schemas/__schema16'
        - $ref: '#/components/schemas/__schema17'
        - $ref: '#/components/schemas/__schema18'
        - $ref: '#/components/schemas/__schema19'
        - $ref: '#/components/schemas/__schema20'
        - $ref: '#/components/schemas/__schema21'
        - $ref: '#/components/schemas/__schema22'
        - $ref: '#/components/schemas/__schema23'
        - $ref: '#/components/schemas/__schema24'
        - $ref: '#/components/schemas/__schema25'
        - $ref: '#/components/schemas/__schema26'
        - $ref: '#/components/schemas/__schema27'
        - $ref: '#/components/schemas/__schema28'
        - $ref: '#/components/schemas/__schema29'
        - $ref: '#/components/schemas/__schema30'
        - $ref: '#/components/schemas/__schema31'
        - $ref: '#/components/schemas/__schema32'
        - $ref: '#/components/schemas/__schema33'
        - $ref: '#/components/schemas/__schema34'
        - $ref: '#/components/schemas/__schema35'
        - $ref: '#/components/schemas/__schema36'
        - $ref: '#/components/schemas/__schema37'
        - $ref: '#/components/schemas/__schema38'
        - $ref: '#/components/schemas/__schema39'
        - $ref: '#/components/schemas/__schema40'
        - $ref: '#/components/schemas/__schema41'
        - $ref: '#/components/schemas/__schema42'
        - $ref: '#/components/schemas/__schema43'
        - $ref: '#/components/schemas/__schema44'
        - $ref: '#/components/schemas/__schema45'
        - $ref: '#/components/schemas/__schema46'
        - $ref: '#/components/schemas/__schema47'
        - $ref: '#/components/schemas/__schema48'
        - $ref: '#/components/schemas/__schema49'
        - $ref: '#/components/schemas/__schema50'
        - $ref: '#/components/schemas/__schema51'
        - $ref: '#/components/schemas/__schema52'
        - $ref: '#/components/schemas/__schema53'
        - $ref: '#/components/schemas/__schema54'
        - $ref: '#/components/schemas/__schema55'
        - $ref: '#/components/schemas/__schema56'
        - $ref: '#/components/schemas/__schema57'
        - $ref: '#/components/schemas/__schema58'
        - $ref: '#/components/schemas/__schema59'
        - $ref: '#/components/schemas/__schema60'
        - $ref: '#/components/schemas/__schema61'
        - $ref: '#/components/schemas/__schema62'
        - $ref: '#/components/schemas/__schema63'
        - $ref: '#/components/schemas/__schema64'
        - $ref: '#/components/schemas/__schema65'
        - $ref: '#/components/schemas/__schema66'
        - $ref: '#/components/schemas/__schema67'
        - $ref: '#/components/schemas/__schema68'
        - $ref: '#/components/schemas/__schema69'
        - $ref: '#/components/schemas/__schema70'
        - $ref: '#/components/schemas/__schema71'
        - $ref: '#/components/schemas/__schema72'
    AnyModelOutput:
      anyOf:
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              format: uri
              type: string
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL with synchronized audio
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: TryOnOutput
              type: object
              properties:
                image:
                  description: The output image.
                  title: Image
                  type: object
                  properties:
                    url:
                      description: The URL where the file can be downloaded from.
                      title: Url
                      type: string
                    content_type:
                      description: The mime type of the file.
                      title: Content Type
                      type: string
                    file_name:
                      description: >-
                        The name of the file. It will be auto-generated if not
                        provided.
                      title: File Name
                      type: string
                    file_size:
                      description: The size of the file in bytes.
                      title: File Size
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    file_data:
                      description: File data
                      title: File Data
                      format: binary
                      type: string
                    width:
                      description: The width of the image in pixels.
                      title: Width
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    height:
                      description: The height of the image in pixels.
                      title: Height
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                  required:
                    - url
                  additionalProperties: {}
              required:
                - image
              additionalProperties: {}
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  anyOf:
                    - format: uri
                      type: string
                    - type: object
                      properties:
                        url:
                          format: uri
                          type: string
                      required:
                        - url
                      additionalProperties: {}
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      duration:
                        anyOf:
                          - type: number
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                video:
                  description: Generated video asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    file_size:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    duration:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - videos
              additionalProperties: {}
        - anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - description: Image generation response
              type: object
              properties:
                type:
                  type: string
                  const: image
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                images:
                  minItems: 1
                  type: array
                  items:
                    description: Generated image asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                    required:
                      - url
                    additionalProperties: {}
                image:
                  description: Generated image asset
                  type: object
                  properties:
                    url:
                      format: uri
                      type: string
                    file_name:
                      type: string
                    content_type:
                      type: string
                    width:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                    height:
                      anyOf:
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        - type: 'null'
                  required:
                    - url
                  additionalProperties: {}
              required:
                - images
              additionalProperties: {}
        - anyOf:
            - title: Output
              type: object
              properties:
                video:
                  description: Generated video URL
                  title: Video
                  format: uri
                  type: string
              required:
                - video
              additionalProperties: {}
            - description: Video generation response
              type: object
              properties:
                type:
                  type: string
                  const: video
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                seed:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                actual_prompt:
                  type: string
                videos:
                  minItems: 1
                  type: array
                  items:
                    description: Generated video asset
                    type: object
                    properties:
                      url:
                        format: uri
                        type: string
                      file_name:
                        type: string
                      content_type:
                        type: string
                      file_size:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      width:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      height:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
[...]
